const fn = function () {};
Component({
  props: {
    errorType: '', // 报错类型
    className: '', // 自定义样式
    operations: [], // 按钮定义
    isLoading: false,
    disableScrol: false,
    onReloadHandle: fn,
  },
  data: {
    LOADING_IMG: 'https://gw.alipayobjects.com/mdn/industry_lifee/afts/img/A*tlz_Qrsroi4AAAAAAAAAAABjAQAAAQ/original',
  },
  didUpdate() {
  },
  methods: {
    onReloadHandle() {
      const { onReloadHandle } = this.props;
      onReloadHandle && onReloadHandle();
    },
  },
});
